<div class="asignacion__asuntos">
  <div class="asignacion__asuntos--create-user" pTooltip="De clic para crear usuario" (click)="openDialog()">
    <span class="material-icons">
      person_add
    </span>
  </div>
  <p-orderList [value]="users"
    [listStyle]="{'max-height':'30rem'}" header="Lista de Usuarios"
    filterPlaceholder="Buscar por nombre de usuario" filterBy="nombre" [dragdrop]="false">    
    <ng-template let-usuario pTemplate="item">
      <div class="row">
        <div class="col-11">
          <p>{{ usuario.nombre }}</p>
        </div>
        <div class="col-1">
          <div class="d-flex justify-content-around align-items-center options-list">
            <i class="pi pi-trash c-del" (click)="deleteUser($event,usuario)"></i>
            <a [routerLink]="['informacion',usuario.correo]">
              <i class="pi pi-pencil"></i>
            </a>
          </div>
        </div>
      </div>
    </ng-template>
  </p-orderList>
</div>

<p-dialog header="Usuario" [(visible)]="isVisible" [modal]="true" [style]="{width: '50vw'}"
    [draggable]="false" [resizable]="false">
    <app-usuario-registro [options]="isVisible" (close)="isVisible = $event;loadAllUser()"></app-usuario-registro>
</p-dialog>

<p-confirmPopup></p-confirmPopup>